Subject: RE: [Iptel] 2806bis is for everyone, not just for Christmas?

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 28 Jan 2003 11:36:15 -0500

The discussion revolves around the use of the "context" parameter.
I believe that all the other potential users of tel: uris will be
very happy without context, i.e. global numbers.  That will be MUCH
better than having to devise sip-independent definitions of context.
If you have a use for a tel uri not related to sip, that needs
context, I'd like to understand it.

Brian

> -----Original Message-----
> From: Conroy, Lawrence (SMTP) [mailto:[email-masked]]
> Sent: Tuesday, January 28, 2003 10:27 AM
> To: Henning Schulzrinne
> Cc: [email-masked]
> Subject: [Iptel] 2806bis is for everyone, not just for Christmas?
> 
> 
> Hi Henning, folks,
>    I send this to IPTEL as "holder of 2806bis" as it's a 
> general issue.
> 
> Looking at the SIPPING discussions, they (understandably) focus on
> the SIPPING scope. However, there are statements there like [with this
> assumption] "the text in 2806bis can get considerably smaller and more
> focused", where [this assumption] focuses on SIPPING issues only.
> 
> Q:: Are all uses of the tel: URI scheme still considered rather
> than a particular (if most important) usage?
> If so, how do we reconcile these disparate uses - in 2806bis or
> by qualifications for specific use?
> 
> This *has* to be a common issue but I'm not quite sure how it plays
> out - the DDDS cluster is one way (but I hope we don't end up with
> six circularly referential docs for this URI scheme definition :).
> 
> all the best,
>    Lawrence
> -- 
> --------------------------------------------------------------
> ---------
> Roke Manor Research    : This information is provided "as is" 
> and is not
> <mailto:[email-masked]>: intended to create any contractual or legal
> <tel:+441794833666>    : relationship.
> _______________________________________________
> Iptel mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iptel
> 
_______________________________________________
Iptel mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/iptel

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 28 Jan 2003 12:07:54 -0500

In its role purely as a name, the context is important to define scope. 
One can imagine comparing these things for equality in order to 
determine if two users in a database have the same phone number.

Also, recall that the original use of the tel URI was to embed it in web 
pages, and when a user clicked on it, a PSTN call was made from a modem 
card in a PC. That use could also benefit from context, in order to 
determine whether the number that was clicked on was in the appropraite 
scope to be dialed from that PC.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com